Subject: Re: bug#6547: GNU coreutils 8.5 "make check" => tests/test-suite.log 8 of 365 tests failed

From: Jim Meyering <[email-masked]>
Date: Thu, 02 Sep 2010 13:39:01 +0200

Pádraig Brady wrote:
> Great. Thanks for confirming the delay related failure is fixed.
> The rest are, as I suggested previously, probably due to to
> copy.c::chmod() returning ENOTSUP on your NFS.
> If you're interested, Paul suggested a way to confirm that here:
> http://lists.gnu.org/archive/html/bug-coreutils/2010-07/msg00012.html
>
> What we may end up doing is marking certain tests as
> only appropriate for local filesystems using something like:
>   [ $(df -lP . | wc -l) = 1 ] && skip

Hi Pádraig,

I didn't see the above-quoted message until today, via your summary:
  http://www.pixelbeat.org/patches/coreutils/inbox_aug_2010.html
BTW, thanks for keeping that up to date!

Regarding your proposed new test, there is a slightly
more efficient way to do it:

  $ git grep df.--local tests
  tests/du/basic:if df --local . >/dev/null 2>&1; then
  tests/du/slink:if df --local . >/dev/null 2>&1; then
  ...

I.e., you can examine merely the exit status.
If you do that, please encapsulate the test in a function
to be defined in tests/init.cfg, I suppose.